2021-04-18 15:45  阅读(65)
文章分类:Java 基础实战 文章标签:JavaJava 教程
©  原文作者:w3cschool 原文地址:https://www.w3cschool.cn/java/java-examples.html

以下实例演示了通过继承 Exception 来实现自定义异常:

    /*
     author by w3cschool.cc
     TestInput.java
     */
    
    class WrongInputException extends Exception {
       WrongInputException(String s) {
          super(s);
       }
    }
    class Input {
       void method() throws WrongInputException {
          throw new WrongInputException("Wrong input");
       }
    }
    class TestInput {
       public static void main(String[] args){
          try {
             new Input().method();
          }
         catch(WrongInputException wie) {
             System.out.println(wie.getMessage());
          }
       } 
    }
    

以上代码运行输出结果为:

    Wrong input
    
点赞(0)
版权归原创作者所有,任何形式转载请联系作者; Java 技术驿站 >> Java 实例 – 自定义异常
上一篇
Java 实例 – 链试异常
下一篇
Java 实例 – 数字求和运算